@echo off

REM Replace placeholders with actual paths and arguments
set "dem=%1"
set "carve_path=%2"
set "outletsLayer=%3"
set "outputPath=%4"
set "subcatSize=%5"
set "model=%6"
set "qmydroEXE=%7"

REM Execute C# executable with arguments
"%qmydroEXE%" "%dem%" "%carve_path%" "%outletsLayer%" "%outputPath%" "%subcatSize%" "%model%"

pause  REM Pause to keep the window open